Macaulay2 » Documentation
Packages » EllipticCurves :: jInvariant(EllipticCurve)
next | previous | forward | backward | up | index | toc

# jInvariant(EllipticCurve) -- A method to compute the j-invariant of an elliptic curve.

- Function: jInvariant
- Usage:
    `jInvariant(E)`
- Inputs:
  - E, an instance of the type EllipticCurve

## Description

    i1 : E=ellCurve(3,8,GF(13))

    o1 = Elliptic Curve defined by Y^2 = X^3 + 3 X + (-5)( over(GF 13 .))

    o1 : EllipticCurve

    i2 : jInvariant(E)

    o2 = 3

    o2 : GF 13

## Ways to use this method:

- jInvariant(EllipticCurve) -- A method to compute the j-invariant of an elliptic curve.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/EllipticCurves.m2:653:0.